Skip to main content
POST
/
workspaces
/
{workspaceId}
/
transactions
/
bulk-create
Create Multiple Transactions
curl --request POST \
  --url https://api.bron.org/workspaces/{workspaceId}/transactions/bulk-create \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactions": [
    {
      "accountId": "<string>",
      "externalId": "<string>",
      "description": "<string>",
      "expiresAt": "<string>",
      "params": {
        "assetId": "<string>"
      }
    }
  ]
}
'
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/transactions/bulk-create"

payload = { "transactions": [
{
"accountId": "<string>",
"externalId": "<string>",
"description": "<string>",
"expiresAt": "<string>",
"params": { "assetId": "<string>" }
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
transactions: [
{
accountId: '<string>',
externalId: '<string>',
description: '<string>',
expiresAt: '<string>',
params: {assetId: '<string>'}
}
]
})
};

fetch('https://api.bron.org/workspaces/{workspaceId}/transactions/bulk-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "accountId": "<string>",
      "accountType": "vault",
      "createdAt": "<string>",
      "externalId": "<string>",
      "transactionId": "<string>",
      "workspaceId": "<string>",
      "createdBy": "<string>",
      "embedded": {
        "attestationSignature": {
          "publicKey": "<string>",
          "signature": "<string>"
        },
        "currentSigningRequest": {
          "accountId": "<string>",
          "blockchainNonce": "<string>",
          "messagesForSigning": {
            "messages": [
              {
                "message": "<string>"
              }
            ],
            "primitivesVersion": "<string>",
            "publicKey": "<string>",
            "useBackupPrimitive": true
          },
          "networkId": "<string>",
          "requestParameters": {},
          "shouldBeBroadcasted": true,
          "signed": {
            "signature": "<string>",
            "signatures": [
              {
                "e": "<string>",
                "r": "<string>",
                "rx": "<string>",
                "s": "<string>",
                "signature": "<string>",
                "v": "<string>"
              }
            ],
            "txRaw": "<string>"
          },
          "signingData": {},
          "signingRequestId": "<string>",
          "transactionId": "<string>",
          "workspaceId": "<string>"
        },
        "events": [
          {
            "accountId": "<string>",
            "accountType": "vault",
            "assetId": "<string>",
            "createdAt": "<string>",
            "eventId": "<string>",
            "transactionId": "<string>",
            "workspaceId": "<string>",
            "amount": "<string>",
            "blockchainTxId": "<string>",
            "extra": {
              "allowance": [
                {
                  "address": "<string>",
                  "amount": "<string>",
                  "networkId": "<string>",
                  "unlimited": true
                }
              ],
              "in": [
                {
                  "address": "<string>",
                  "amount": "<string>",
                  "fromAccountId": "<string>",
                  "fromAddressBookRecordId": "<string>",
                  "networkId": "<string>"
                }
              ],
              "out": [
                {
                  "address": "<string>",
                  "amount": "<string>",
                  "memo": "<string>",
                  "networkId": "<string>",
                  "toAccountId": "<string>",
                  "toAddressBookRecordId": "<string>"
                }
              ],
              "rewardInfo": {},
              "signingMessage": {
                "message": "<string>",
                "version": "<string>"
              },
              "stakeInfo": [
                {}
              ],
              "transactionFailed": true,
              "walletStateInit": "<string>"
            },
            "networkId": "<string>",
            "symbol": "<string>",
            "usdAmount": "<string>"
          }
        ]
      },
      "expiresAt": "<string>",
      "extra": {
        "approvers": {
          "approvedBy": [
            "<string>"
          ],
          "availableApprovers": [
            "<string>"
          ],
          "limitId": "<string>",
          "number": "<string>",
          "securityDelayDuration": "<string>",
          "securityDelayExpiresAt": "<string>",
          "skipApproval": true
        },
        "blockchainDetails": [
          {
            "blockchainTxId": "<string>",
            "networkId": "<string>"
          }
        ],
        "blockchainRequest": {
          "externalBroadcast": true,
          "networkId": "<string>"
        },
        "confirmations": "<string>",
        "depositTransactionId": "<string>",
        "description": "<string>",
        "fromAccountId": "<string>",
        "fromAddress": "<string>",
        "fromWorkspaceIcon": "<string>",
        "fromWorkspaceName": "<string>",
        "fromWorkspaceTag": "<string>",
        "memo": "<string>",
        "signingRequestId": "<string>",
        "toAccountId": "<string>",
        "toAddress": "<string>",
        "toWorkspaceIcon": "<string>",
        "toWorkspaceName": "<string>",
        "toWorkspaceTag": "<string>",
        "withdrawTransactionId": "<string>"
      },
      "params": {
        "amount": "<string>",
        "assetId": "<string>",
        "feeLevel": "medium",
        "includeFee": "false",
        "intentOrderId": "<string>",
        "memo": "<string>",
        "networkFees": {
          "feePerByte": "<string>",
          "gasLimit": "<string>",
          "gasPriceGwei": "<string>",
          "maxFeePerGas": "<string>",
          "maxPriorityFeePerGas": "<string>"
        },
        "networkId": "<string>",
        "symbol": "<string>",
        "toAccountId": "<string>",
        "toAddress": "<string>",
        "toAddressBookRecordId": "<string>",
        "toWorkspaceTag": "<string>"
      },
      "terminatedAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "embedded": {
    "attestationSignature": {
      "publicKey": "<string>",
      "signature": "<string>"
    },
    "currentSigningRequest": {
      "accountId": "<string>",
      "blockchainNonce": "<string>",
      "messagesForSigning": {
        "messages": [
          {
            "message": "<string>"
          }
        ],
        "primitivesVersion": "<string>",
        "publicKey": "<string>",
        "useBackupPrimitive": true
      },
      "networkId": "<string>",
      "requestParameters": {},
      "shouldBeBroadcasted": true,
      "signed": {
        "signature": "<string>",
        "signatures": [
          {
            "e": "<string>",
            "r": "<string>",
            "rx": "<string>",
            "s": "<string>",
            "signature": "<string>",
            "v": "<string>"
          }
        ],
        "txRaw": "<string>"
      },
      "signingData": {},
      "signingRequestId": "<string>",
      "transactionId": "<string>",
      "workspaceId": "<string>"
    },
    "events": [
      {
        "accountId": "<string>",
        "accountType": "vault",
        "assetId": "<string>",
        "createdAt": "<string>",
        "eventId": "<string>",
        "transactionId": "<string>",
        "workspaceId": "<string>",
        "amount": "<string>",
        "blockchainTxId": "<string>",
        "extra": {
          "allowance": [
            {
              "address": "<string>",
              "amount": "<string>",
              "networkId": "<string>",
              "unlimited": true
            }
          ],
          "in": [
            {
              "address": "<string>",
              "amount": "<string>",
              "fromAccountId": "<string>",
              "fromAddressBookRecordId": "<string>",
              "networkId": "<string>"
            }
          ],
          "out": [
            {
              "address": "<string>",
              "amount": "<string>",
              "memo": "<string>",
              "networkId": "<string>",
              "toAccountId": "<string>",
              "toAddressBookRecordId": "<string>"
            }
          ],
          "rewardInfo": {},
          "signingMessage": {
            "message": "<string>",
            "version": "<string>"
          },
          "stakeInfo": [
            {}
          ],
          "transactionFailed": true,
          "walletStateInit": "<string>"
        },
        "networkId": "<string>",
        "symbol": "<string>",
        "usdAmount": "<string>"
      }
    ]
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required

Body

application/json
transactions
object[]
required

List of transactions to create

Response

OK

transactions
object[]
required
embedded
object